## org.hibernate.persister.collection
Class CompositeElementPropertyMapping

    java.lang.Object
      org.hibernate.persister.entity.AbstractPropertyMapping
          org.hibernate.persister.collection.CompositeElementPropertyMapping

All Implemented Interfaces:
  PropertyMapping

    public class CompositeElementPropertyMapping

extends AbstractPropertyMapping

Constructor Summary
`CompositeElementPropertyMapping(String[] elementColumns, String[] elementColumnReaders, String[] elementColumnReaderTemplates, String[] elementFormulaTemplates, CompositeType compositeType, Mapping factory)`

Method Summary
`protected String` `getEntityName()`
`Type` `getType()` Get the type of the thing containing the properties

Methods inherited from class org.hibernate.persister.entity.AbstractPropertyMapping
`addPropertyPath, getColumnNames, getIdentifierColumnNames, getIdentifierColumnReaders, getIdentifierColumnReaderTemplates, initComponentPropertyPaths, initIdentifierPropertyPaths, initPropertyPaths, propertyException, toColumns, toColumns, toType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeElementPropertyMapping

    public CompositeElementPropertyMapping(String[] elementColumns,
                                           String[] elementColumnReaders,
                                           String[] elementColumnReaderTemplates,
                                           String[] elementFormulaTemplates,
                                           CompositeType compositeType,
                                           Mapping factory)
                                    throws MappingException

Throws:
  `MappingException`

Method Detail

### getType

    public Type getType()

  Description copied from interface: `PropertyMapping`
  Get the type of the thing containing the properties

### getEntityName

    protected String getEntityName()

  Specified by:
    `getEntityName` in class `AbstractPropertyMapping`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.